Bug 101116 - [UPDATE] games/sauerbraten: fix building on 4.x and 7.x plus other changes
Summary: [UPDATE] games/sauerbraten: fix building on 4.x and 7.x plus other changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-31 19:10 UTC by Alejandro Pulver
Modified: 2006-08-14 16:31 UTC (History)
0 users

See Also:


Attachments
sauerbraten.diff (10.00 KB, patch)
2006-07-31 19:10 UTC, Alejandro Pulver
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Pulver freebsd_committer 2006-07-31 19:10:14 UTC

- Fix building on 4.x and 7.x.
- Allow building only the client/server part through OPTIONS.
- Fix wrapper scripts: pass parameters to the real executables.
- Clean-up.
- Respect SDL_CONFIG.
Comment 1 Edwin Groothuis freebsd_committer 2006-07-31 19:10:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2006-07-31 20:39:29 UTC
On Mon, 31 Jul 2006 18:10:25 GMT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Synopsis: [UPDATE] games/sauerbraten: fix building on 4.x and 7.x plus other changes
> 
> Responsible-Changed-From-To: freebsd-ports-bugs->acm
> Responsible-Changed-By: edwin
> Responsible-Changed-When: Mon Jul 31 18:10:25 UTC 2006
> Responsible-Changed-Why: 
> Over to maintainer
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=101116
> 

Approved, I will work on new version with these changes.
thanks.
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2006-08-14 16:29:36 UTC
State Changed
From-To: open->closed

Committed with few modifications. thanks!!